Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.workspace.internal.ui
Class WorkspaceUIProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.core.util.Element
          org.eclipse.emf.ecp.spi.ui.DefaultUIProvider
              org.eclipse.emf.ecp.workspace.internal.ui.WorkspaceUIProvider

All Implemented Interfaces:
  Comparable<ECPElement>, org.eclipse.core.runtime.IAdaptable, ECPElement, AdapterProvider, ECPDisposable, InternalRegistryElement, UIProvider

    public class WorkspaceUIProvider

extends DefaultUIProvider

Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`ECPDisposable.DisposeListener`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.spi.ui.UIProvider
`EMF_LABEL_PROVIDER, TYPE`

Constructor Summary
`WorkspaceUIProvider()` Default constructor of an UIProvider.

Method Summary
`org.eclipse.swt.widgets.Control` | `createCheckoutUI(org.eclipse.swt.widgets.Composite parent, ECPCheckoutSource checkoutSource, ECPProperties projectProperties)` The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.
`org.eclipse.swt.widgets.Control` | `createNewProjectUI(org.eclipse.swt.widgets.Composite parent, CompositeStateObserver observer, ECPProperties projectProperties)` The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for the creation of a new project.
`void` | `fillContextMenu(org.eclipse.jface.action.IMenuManager manager, ECPContainer context, Object[] elements)` Allows the UIProvider to fill the context menu specifically.
`org.eclipse.swt.graphics.Image` | `getImage(Object element)` Returns the image for an element.
`String` | `getText(Object element)` Returns the name for an element.

Methods inherited from class org.eclipse.emf.ecp.spi.ui.DefaultUIProvider
`addDisposeListener, createAddRepositoryUI, dispose, getAdapter, getAdapter, getDescription, getLabel, getProvider, getType, isDisposed, removeDisposeListener, setDescription, setLabel`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Element
`compareTo, equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### WorkspaceUIProvider

    public WorkspaceUIProvider()

  Default constructor of an UIProvider.

Method Detail

### getText

    public String getText(Object element)

  Description copied from class: `DefaultUIProvider`
  Returns the name for an element.

  Specified by:
    `getText` in interface `UIProvider`
  Overrides:
    `getText` in class `DefaultUIProvider`
  Parameters:
    `element` - the object to return the name for
  Returns:
    the name of this element

### getImage

    public org.eclipse.swt.graphics.Image getImage(Object element)

  Description copied from class: `DefaultUIProvider`
  Returns the image for an element.

  Specified by:
    `getImage` in interface `UIProvider`
  Overrides:
    `getImage` in class `DefaultUIProvider`
  Parameters:
    `element` - the object to return the image for
  Returns:
    the name of this element

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager manager,
                                ECPContainer context,
                                Object[] elements)

  Description copied from class: `DefaultUIProvider`
  Allows the UIProvider to fill the context menu specifically.

  Specified by:
    `fillContextMenu` in interface `UIProvider`
  Overrides:
    `fillContextMenu` in class `DefaultUIProvider`
  Parameters:
    `manager` - the `IMenuManager` to fill
    `context` - the current selected `ECPContainer`
    `elements` - the selected elements

### createCheckoutUI

    public org.eclipse.swt.widgets.Control createCheckoutUI(org.eclipse.swt.widgets.Composite parent,
                                                            ECPCheckoutSource checkoutSource,
                                                            ECPProperties projectProperties)

  Description copied from class: `DefaultUIProvider`
  The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for a checkout.

  Specified by:
    `createCheckoutUI` in interface `UIProvider`
  Overrides:
    `createCheckoutUI` in class `DefaultUIProvider`
  Parameters:
    `parent` - the `Composite` to fill
    `checkoutSource` - the Object to checkout
    `projectProperties` - the `ECPProperties` of the project to create
  Returns:
    the created control

### createNewProjectUI

    public org.eclipse.swt.widgets.Control createNewProjectUI(org.eclipse.swt.widgets.Composite parent,
                                                              CompositeStateObserver observer,
                                                              ECPProperties projectProperties)

  Description copied from class: `DefaultUIProvider`
  The UIProvider can return a provider specific UI to allow the user to fill in provider specific data for the creation of a new project.

  Specified by:
    `createNewProjectUI` in interface `UIProvider`
  Overrides:
    `createNewProjectUI` in class `DefaultUIProvider`
  Parameters:
    `parent` - the `Composite` to fill
    `observer` - the observer
    `projectProperties` - the `ECPProperties` of the project to create
  Returns:
    the created control

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.